Index: bitlbee.c
===================================================================
--- bitlbee.c	(revision 9a1555dc8521f0973347911bcb26d1038259f967)
+++ bitlbee.c	(revision 5e713f695f93f7dc88f225bf6a8cd16e228eff11)
@@ -118,8 +118,4 @@
 	if( global.conf->runmode == RUNMODE_FORKDAEMON )
 		ipc_master_load_state();
-
-	if( global.conf->runmode == RUNMODE_DAEMON || 
-		global.conf->runmode == RUNMODE_FORKDAEMON )
-		ipc_master_listen_socket();
 	
 	if( ( fp = fopen( global.conf->pidfile, "w" ) ) )
Index: configure
===================================================================
--- configure	(revision 9a1555dc8521f0973347911bcb26d1038259f967)
+++ configure	(revision 5e713f695f93f7dc88f225bf6a8cd16e228eff11)
@@ -15,5 +15,4 @@
 config='/var/lib/bitlbee/'
 pidfile='/var/run/bitlbee.pid'
-ipcsocket='/var/run/bitlbee'
 plugindir='$prefix/lib/bitlbee'
 
@@ -50,5 +49,4 @@
 --pidfile=...						$pidfile
 --config=...						$config
---ipcsocket=...						$ipcsocket
 
 --msn=0/1	Disable/enable MSN part			$msn
@@ -78,6 +76,5 @@
 config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
 plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
-pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
-ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
+pidfile=`eval echo "$pidfile/" | sed 's/\/\{1,\}/\//g'`
 
 cat<<EOF>Makefile.settings
@@ -89,6 +86,6 @@
 DATADIR=$datadir
 PLUGINDIR=$plugindir
+PIDFILE=$pidfile
 CONFIG=$config
-IPCSOCKET=$ipcsocket
 
 ARCH=$arch
@@ -112,5 +109,4 @@
 #define PLUGINDIR "$plugindir"
 #define PIDFILE "$pidfile"
-#define IPCSOCKET "$ipcsocket"
 #define ARCH "$arch"
 #define CPU "$cpu"
Index: ipc.c
===================================================================
--- ipc.c	(revision 9a1555dc8521f0973347911bcb26d1038259f967)
+++ ipc.c	(revision 5e713f695f93f7dc88f225bf6a8cd16e228eff11)
@@ -28,7 +28,4 @@
 #include "ipc.h"
 #include "commands.h"
-#ifndef _WIN32
-#include <sys/un.h>
-#endif
 
 GSList *child_list = NULL;
@@ -464,73 +461,4 @@
 }
 
-
-static gboolean new_ipc_client (GIOChannel *gio, GIOCondition cond, gpointer data)
-{
-	struct bitlbee_child *child = g_new0( struct bitlbee_child, 1 );
-	int serversock;
-
-	serversock = g_io_channel_unix_get_fd(gio);
-
-	child->ipc_fd = accept(serversock, NULL, 0);
-
-	if (child->ipc_fd == -1) {
-		log_message( LOGLVL_WARNING, "Unable to accept connection on UNIX domain socket: %s", strerror(errno) );
-		return TRUE;
-	}
-		
-	child->ipc_inpa = gaim_input_add( child->ipc_fd, GAIM_INPUT_READ, ipc_master_read, child );
-		
-	child_list = g_slist_append( child_list, child );
-
-	return TRUE;
-}
-
-#ifndef _WIN32
-int ipc_master_listen_socket()
-{
-	struct sockaddr_un un_addr;
-	int serversock;
-	GIOChannel *gio;
-
-	/* Clean up old socket files that were hanging around.. */
-	if (unlink(IPCSOCKET) == -1 && errno != ENOENT) {
-		log_message( LOGLVL_ERROR, "Could not remove old IPC socket at %s: %s", IPCSOCKET, strerror(errno) );
-		return 0;
-	}
-
-	un_addr.sun_family = AF_UNIX;
-	strcpy(un_addr.sun_path, IPCSOCKET);
-
-	serversock = socket(AF_UNIX, SOCK_STREAM, PF_UNIX);
-
-	if (serversock == -1) {
-		log_message( LOGLVL_WARNING, "Unable to create UNIX socket: %s", strerror(errno) );
-		return 0;
-	}
-
-	if (bind(serversock, &un_addr, sizeof(un_addr)) == -1) {
-		log_message( LOGLVL_WARNING, "Unable to bind UNIX socket to %s: %s", IPCSOCKET, strerror(errno) );
-		return 0;
-	}
-
-	if (listen(serversock, 5) == -1) {
-		log_message( LOGLVL_WARNING, "Unable to listen on UNIX socket: %s", strerror(errno) );
-		return 0;
-	}
-	
-	gio = g_io_channel_unix_new(serversock);
-	
-	if (gio == NULL) {
-		log_message( LOGLVL_WARNING, "Unable to create IO channel for unix socket" );
-		return 0;
-	}
-
-	g_io_add_watch(gio, G_IO_IN, new_ipc_client, NULL);
-	return 1;
-}
-#else
-	/* FIXME: Open named pipe \\.\BITLBEE */
-#endif
-
 int ipc_master_load_state()
 {
Index: ipc.h
===================================================================
--- ipc.h	(revision 9a1555dc8521f0973347911bcb26d1038259f967)
+++ ipc.h	(revision 5e713f695f93f7dc88f225bf6a8cd16e228eff11)
@@ -57,5 +57,5 @@
 void ipc_master_set_statefile( char *fn );
 int ipc_master_load_state();
-int ipc_master_listen_socket();
+
 
 extern GSList *child_list;
Index: ils/bitlbee-ctl.pl
===================================================================
--- utils/bitlbee-ctl.pl	(revision 9a1555dc8521f0973347911bcb26d1038259f967)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#!/usr/bin/perl
-# Simple front-end to BitlBee's administration commands
-# Copyright (C) 2006 Jelmer Vernooij <jelmer@samba.org>
-
-use IO::Socket;
-use Getopt::Long;
-use strict;
-use warnings;
-
-my $opt_help;
-my $opt_socketfile = "/var/run/bitlbee";
-
-sub ShowHelp 
-{
-	print 
-"bitlbee-ctl.pl [options] command ...
-
-Available options:
-
-  --ipc-socket=SOCKET	Override path to IPC socket [$opt_socketfile]
-  --help				Show this help message
-
-Available commands:
-	
-	die
-
-";
-	exit (0);
-}
-
-GetOptions (
-	    'help|h|?' => \&ShowHelp,
-		'ipc-socket=s' => \$opt_socketfile
-	    ) or exit(1);
-
-my $client = IO::Socket::UNIX->new(Peer => $opt_socketfile,
-								Type => SOCK_STREAM,
-								Timeout => 10);
-								
-if (not $client) {
-	print "Error connecting to $opt_socketfile: $@\n";
-	exit(1);
-}
-
-my $cmd = shift @ARGV;
-
-if (not defined($cmd)) {
-	print "Usage: bitlbee-ctl.pl [options] command ...\n";
-	exit(1);
-}
-
-if ($cmd eq "die") {
-	$client->send("DIE\r\n");
-} else {
-	print "No such command: $cmd\n";
-	exit(1);
-}
-
-$client->close();
